//Расчет результатов
function [rezults,..//Результаты расчета
          rezultsHeaders..//Заголовки результатов
          ]=CountRezults(inputDatas,..//Входные данные
                         inputDatasHeaders,..//Заголовки входных данных
                         Functions,..//Функции
                         argumentsNames,..//Имена (индексы) аргументов
                         rezultsNames,..//Имена (индексы) результатов
                         isVectorized..//Векторизованы ли функции
                         )
    //Проверяем аргументы
    [nOut,nArg] = argn();//Число аргументов
    if nArg < 4 then
        error('Function CountRezult takes 4, 5 or 6 arguments');
    end
    nIsVectorized = size(Functions,'*');
    switch nArg
    case 4 then
        rezultsNames = argumentsNames;
        argumentsNames = Functions;
        Functions = inputDatasHeaders;
        inputDatasHeaders = [];
        isVectorized = repmat(%t,[1,nIsVectorized]);
    case 5 then
        if type(rezultsNames) == 4 then
            isVectorized = rezultsNames;
            rezultsNames = argumentsNames;
            argumentsNames = Functions;
            Functions = inputDatasHeaders;
            inputDatasHeaders = [];
        else
            isVectorized = repmat(%t,[1,nIsVectorized]);
        end
    end
    
    //Проверяем корректность аргументов
    if ~IsTableDatas(inputDatas) then
        error('The first argument of function CountRezults must be matrix of real');
    end
    if (~isempty(inputDatasHeaders)) && (type(inputDatasHeaders) ~= 10) then
        error('The inputDatasHeaders argument of function CountRezults must be matrix 1xM of string');
    end
    if (type(isVectorized) ~= 4) || (size(isVectorized)(1) ~= 1) then
        error('The argument isVectorized of function CountRezults must be matrix 1xM of bool');
    end
    if size(isVectorized,'*') == 1 then
      isVectorized = repmat(isVectorized,[1,nIsVectorized]);
    end
    if (~IsTableDatasAndHeaders(inputDatas,inputDatasHeaders)) then
        error('The numbers of columns of arguments inputDatasHeaders and inputDatas of functions CountRezults must be equality');
    end
    
    //Вычисляем значение функций
    rezults = [];
    if nOut >= 2 then
        rezultsHeaders = [];
    end
    for ind=1:size(Functions,'*')
        if nOut >= 2 then
            rezultsHeaders = [rezultsHeaders,rezultsNames{ind}];
        end
        rezult = CountFunction(inputDatas,..
                               inputDatasHeaders,..
                               Functions{ind},..
                               argumentsNames{ind},..
                               isVectorized(ind));
        rezults = [rezults,rezult];
    end
endfunction
